services:
  commerce_price.currency_repository:
    class: Drupal\commerce_price\Repository\CurrencyRepository
    arguments: ['@entity_type.manager']

  commerce_price.number_format_repository:
    class: Drupal\commerce_price\Repository\NumberFormatRepository
    arguments: ['@event_dispatcher']

  commerce_price.currency_formatter:
    class: Drupal\commerce_price\CurrencyFormatter
    arguments: ['@commerce_price.number_format_repository', '@commerce_price.currency_repository', '@commerce.current_locale']

  commerce_price.number_formatter:
    class: Drupal\commerce_price\NumberFormatter
    arguments: ['@commerce_price.number_format_repository', '@commerce.current_locale']

  commerce_price.currency_importer:
    class: Drupal\commerce_price\CurrencyImporter
    arguments: ['@entity_type.manager', '@language_manager']

  commerce_price.minor_units_converter:
    class: Drupal\commerce_price\MinorUnitsConverter
    arguments: ['@commerce_price.currency_repository']

  commerce_price.number_formatter_factory:
    class: Drupal\commerce_price\NumberFormatterFactory
    arguments: ['@commerce_price.currency_formatter']
    deprecated: The "%service_id%" service is deprecated. You should use the 'commerce_price.currency_formatter' service instead. See https://www.drupal.org/node/2975672

  commerce_price.chain_price_resolver:
    class: Drupal\commerce_price\Resolver\ChainPriceResolver
    tags:
      - { name: service_collector, call: addResolver, tag: commerce_price.price_resolver }

  commerce_price.default_price_resolver:
    class: Drupal\commerce_price\Resolver\DefaultPriceResolver
    tags:
      - { name: commerce_price.price_resolver, priority: -100 }

  commerce_price.twig_extension:
      class: Drupal\commerce_price\TwigExtension\PriceTwigExtension
      tags:
        - { name: twig.extension }

  commerce_price.rounder:
    class: Drupal\commerce_price\Rounder
    arguments: ['@entity_type.manager']
